# Function withCybFeatures

- withCybFeatures<TBase>(Base, options): {
  prototype: __type<any>;
  new (...args: any[]): __type<TBase>;
  } & TBase

- #### Type Parameters

  - TBase extends (new (...args: any[]) => IpfsNode)

  #### Parameters

  - Base: TBase
  - options: WithCybFeaturesOptions

  #### Returns {
  prototype: __type<any>;
  new (...args: any[]): __type<TBase>;
  } & TBase

  - Defined in work/deeplinks/deeplinks/imports/cyber/ipfs/node/mixins/withCybFeatures.ts:10